.flickr-albums-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: var(--spacing-sm);
  margin-bottom: var(--spacing-lg);
  align-items: start; /* Align items to the top */
}

.flickr-album-cover {
  width: 100%;
  height: 240px;
  object-fit: cover;
  object-position: center;
  border-radius: 5px;
}

.flickr-album {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  transition: all .15s ease-in-out;
}

.flickr-album:after, .flickr-album:before {
  background: #afb7bc;
  content: "";
  height: 1px;
  position: absolute;
  transition: all .15s ease-in-out;
}

.flickr-album:hover:after, .flickr-album:hover:before {
  background: var(--color-secondary);
}

.flickr-album:before {
  left: 15px;
  right: 15px;
  top: -4px;
}

.flickr-album:hover:before {
  top: -6px;
}

.flickr-album:after {
  left: 10px;
  right: 10px;
  top: -2px;
}
.flickr-album:hover:after {
  top: -3px;
}

.flickr-album-title {
  font-size: .9rem;
  margin-top: 10px;
}

@media (max-width: 1366px) { 

}

@media (max-width: 1024px) {
  .flickr-albums-grid {
    grid-template-columns: repeat(2, 1fr); /* Always 3 columns */
  }  
}

@media (max-width: 960px) {

}

@media (max-width: 767px) {

}

@media (max-width: 470px) {
  .flickr-albums-grid {
    grid-template-columns: repeat(1, 1fr); /* Always 3 columns */
  }  
}